Subject: RE: [nemo] About Test Specification in IPv6 Ready Logo

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 27 Nov 2006 13:40:44 +0100

Hi Alex:

I assure you that it is possible to have a NEMO process inject routes in
an exact same fashion as an OSPF process and benefit from the same
triggers and redistribution mechanisms if applicable. This is what my
implementation does in IOS... The HA is definitely a router :)

Pascal

>-----Original Message-----
>From: Alexandru Petrescu [mailto:[email-masked]]
>Sent: Monday, November 27, 2006 1:32 PM
>To: Keiichi SHIMA
>Cc: [email-masked]
>Subject: Re: [nemo] About Test Specification in IPv6 Ready Logo
>
>Keiichi SHIMA wrote:
>> On 2006/11/25, at 13:29, Keiichi SHIMA wrote:
>>
>>>>> So, even in the case 2, we can put a routing entry for the
>>>>> mobile network prefix by not using any routing protocol.
>>>>
>>>> Please teach the method of not using routing protocol. Is there
>>>>  draft or RFC ?
>>>
>>> Since a mobile node knows its mobile network prefix, it can
>>> install a routing entry for it after it receives a binding ack
>>> message.  The home agent of the mobile node will know the mobile
>>> network prefix stored in a binding update message from the mobile
>>>  node, it can also install a routing entry when it receives the
>>> binding update message.
>>
>> Some more minor additional notes...
>>
>> The above example is for the explicit mode.  And if we use implicit
>>  mode, then these two entities already know what to do when
>> registration completes.  So either using a dynamic routing or not
>> is just a configuration issue for route management and it has
>> nothing to do with the network model.
>
>I think it is not right for HA to add a routing table entry upon
>reception of MNP in the HA.  IT should add it in the binding cache,
>not in routing table.
>
>The routing table is a data structure touched by other independent
>software (ifconfig add, route add, routing daemon read).
>
>If MIP6-nemo software adds a routing table entry usually it has no way
>to trigger the routing daemon that reads that routing table.  The
>routing daemon reads the routing table only once (when it starts up),
>creating other internal routing tables.  If mip6-demo adds an entry in
>the kernel routing table then that will not be seen by the routing
>daemon.  Which is bad.
>
>That's why I think the routing table entries between MR and HA must be
>there prior to starting up the mip6-nemo software.  This is normal in
>a way: if the MR is at home, we want the HA to still route packets
>towards LFN, although no BU is sent.
>
>Alex
>
>>
>> # if I'm not missing something.
>>
>> --- Keiichi SHIMA IIJ Research Laboratory <[email-masked]> WIDE
>>  Project <[email-masked]>
>>
>>
>>
>>
>>

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 27 Nov 2006 14:15:17 +0100

Pascal Thubert (pthubert) wrote:
> Hi Alex:
> 
> I assure you that it is possible to have a NEMO process inject
> routes in an exact same fashion as an OSPF process and benefit from
> the same triggers and redistribution mechanisms if applicable. This
> is what my implementation does in IOS... The HA is definitely a
> router :)

I think implementations can do about anything.

After reading your other emails, I think we still seem to agree that
we want the MR-at-home's LFNs to be reachable from a R on the home
link, without a routing table entry in HA.  It is sufficient for R to
have a route towards MNP.  HA's routing table is not necessary.

Alex

> 
> Pascal
> 
>> -----Original Message----- From: Alexandru Petrescu
>> [mailto:[email-masked]] Sent: Monday, November
>> 27, 2006 1:32 PM To: Keiichi SHIMA Cc: [email-masked] Subject: Re:
>> [nemo] About Test Specification in IPv6 Ready Logo
>> 
>> Keiichi SHIMA wrote:
>>>>>> So, even in the case 2, we can put a routing entry for
>>>>>> the mobile network prefix by not using any routing
>>>>>> protocol.
>>>>> Please teach the method of not using routing protocol. Is
>>>>> there draft or RFC ?
>>>> install a routing entry for it after it receives a binding
>>>> ack message.  The home agent of the mobile node will know the
>>>> mobile network prefix stored in a binding update message from
>>>> the mobile node, it can also install a routing entry when it
>>>> receives the binding update message.
>>> The above example is for the explicit mode.  And if we use
>>> implicit mode, then these two entities already know what to do
>>> when registration completes.  So either using a dynamic routing
>>> or not is just a configuration issue for route management and
>>> it has nothing to do with the network model.
>> reception of MNP in the HA.  IT should add it in the binding
>> cache, not in routing table.
>> 
>> The routing table is a data structure touched by other
>> independent software (ifconfig add, route add, routing daemon
>> read).
>> 
>> If MIP6-nemo software adds a routing table entry usually it has
>> no way to trigger the routing daemon that reads that routing
>> table.  The routing daemon reads the routing table only once
>> (when it starts up), creating other internal routing tables.  If
>> mip6-demo adds an entry in the kernel routing table then that
>> will not be seen by the routing daemon.  Which is bad.
>> 
>> That's why I think the routing table entries between MR and HA
>> must be there prior to starting up the mip6-nemo software.  This
>> is normal in a way: if the MR is at home, we want the HA to still
>> route packets towards LFN, although no BU is sent.
>> 
>> Alex
>> 
>>> --- Keiichi SHIMA IIJ Research Laboratory <[email-masked]>
>>> WIDE Project <[email-masked]>
>>> 
>>> 
>>> 
>>> 
>>> 
>